Subject: Re: bug#72961: Possible documentation improvement: Clarification for package installation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Sep 2024 15:03:42 +0300

> From: Krystian Samp <[email-masked]>
> Date: Mon, 2 Sep 2024 12:41:11 +0200
> 
> I was reading the section on "Libraries of Lisp Code for Emacs" (section 28.8) in the Emacs manual, and I
> encountered a passage that seems a bit unclear. The text suggests that when using package-install, Emacs
> might automatically add initialization code to the init.el file, which doesn’t seem to match my experience.
> 
> Specifically, the manual states: "Installing a package using package-install takes care of placing the package’s
> Lisp files in a directory where Emacs will find it, and also writes the necessary initialization code into your init
> files [...]"
> 
> From my understanding, package-install does not modify init.el directly, which is how I interpret the
> documentation above. Instead, Emacs calls package-initialize which makes the installed packages available,
> automatically.
> 
> I want to check if this is a valid concern / interpretation that warrants a documentation change. If so, I'll be
> happy to create a patch.

Is package-quickstart.el considered "init file" or not?

And I add Philip to this discussion, as he knows the package.el code
better than I do.